Setuco

# Class: Setuco_Form_Decorator_SuffixString Source Location: /library/Setuco/Form/Decorator/SuffixString.php
### Class Overview
    Zend_Form_Decorator_Abstract
       |
       --Setuco_Form_Decorator_SuffixString
#### Author(s): charlelsvineyard | ### Variables $_escape $_value | ### Methods getEscape getValue render setEscape setValue
### Class Details [line 23] #### Tags:
author: | charlelsvineyard
[ Top ] ### Class Variables #### $_escape = [line 30] HTMLエスケープ処理をするかどうか #### Tags:
access: | protected
Type: | bool
[ Top ] #### $_value = [line 37] HTMLタグで囲まれる文字列 #### Tags:
access: | protected
Type: | string
[ Top ] ### Class Methods ### method getEscape [line 90]
`true getEscape( )`
Get escape flag #### Tags:
access: | public
[ Top ] ### method getValue [line 56]
`string getValue( )`
Get HTML tag, if any, with which to surround description #### Tags:
access: | public
[ Top ] ### method render [line 110]
`string render( string $content)`
Render a suffix string #### Tags:
access: | public
#### Parameters:
string | $content |
[ Top ] ### method setEscape [line 79]
`Zend_Form_Decorator_Description setEscape( bool $flag)`
Set whether or not to escape description #### Tags:
access: | public
#### Parameters:
bool | $flag |
[ Top ] ### method setValue [line 45]
`Setuco_Form_Decorator_SuffixString setValue( string $value)`
HTMLタグで囲まれる文字列を設定します。 #### Tags:
access: | public
#### Parameters:
string | $value |
[ Top ] Documentation generated on Mon, 07 Feb 2011 01:28:29 +0900 by phpDocumentor 1.4.3